Multi-State Title & Registration - Sandbox

Get Transaction Fees

Get fees calculated by the transaction

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/fees

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

limitinteger

Maximum items per page

Default:20

>= 1<= 100

offsetinteger

Items to skip

Default:0

>= 0

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

<= 36 characters

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Response

application/json

OK

<= 500 items

namestring

<= 500 characters

valuenumber(decimal)
feeTypestring

Allowed values:StateFeeStateTaxVendorFeeOtherUseTaxPaidTaxExemptionTaxPaidPenaltyReciprocityCredit

ratenumber(decimal)
detailsarray[object]

<= 500 items

Show Child Parameters
get/transaction/{transactionId}/fees
 
application/json

Commit Transaction

Commit the transaction

put
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/commit

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

<= 36 characters

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Body

application/json

FinalizeDTO

* Additional properties are NOT allowed.
shippingobjectrequired
* Additional properties are NOT allowed.
Show Child Parameters
plateDestinationobject
* Additional properties are NOT allowed.
Show Child Parameters
submitAsIsboolean
signerNamestring

<= 500 characters

signerEmailstring(email)

<= 500 characters

signerPhonestring

<= 500 characters

Response

application/json

OK

object

Callbacks

post
{$request.query.callbackUrl}

Callback Response

200

Target server returns this code if it accepts the callback

put/transaction/{transactionId}/commit

Body

{ "shipping": { "shippingType": "Standard" } }
 
application/json
callback sample
Callback Body
Callback Response
200

Download Transaction Coversheet

Download coversheet for ship documents assigned to transaction

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/coversheet/download

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

<= 36 characters

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Response

application/pdf

OK

string

<= 500 characters

get/transaction/{transactionId}/coversheet/download
 
application/pdf

Get Transaction Status

Get status of the transaction

get
https://api-test.vitu.com/national-public-api/v2/transaction/{transactionId}/status

Query Parameters

transactionTypestring

Identifier of the type of the transaction

Allowed values:EVRINTERSTATEDMVDESKNTX

Default:INTERSTATE

Path Parameters

transactionIdstringrequired

Either int transactionId or uuid refNumber

<= 36 characters

Headers

x-on-behalf-of-userinteger

Id of the user on behalf of whom the request is being made

Response

application/json

OK

StatusDTO

StatusDTO
One Of
titleDestinationstring

<= 500 characters

statusstringrequired

Allowed values:StartedCompletedDraftPreAuditInProgressPreAuditErrorsFoundPreAuditCompletedSentToServiceReceivedErrorsFoundSentToStateReturnedFromStateStateProcessedStateCompletedInactiveCompletedManuallyCanceledFailed

eventsarray[object]

<= 500 items

Show Child Parameters
auditErrorsarray[string]

<= 500 characters<= 500 items

indiciaobject
Show Child Parameters
timeframestring

<= 500 characters

signRequestStatusstring

<= 500 characters

get/transaction/{transactionId}/status
 
application/json

Utils